Skip to content
PYGWALKER
Instalação

Instalação

Requisitos de sistema:

  • Python 3.0 ou superior
  • macOS, Windows e Linux são suportados.

Instalação com Pip

pip install pygwalker

O pygwalker/graphic-walker está atualizando novos recursos com frequência, portanto, você pode instalar a versão mais recente com o seguinte comando: pip install pygwalker --upgrade

Instalação a partir do conda-forge

conda install -c conda-forge pygwalker

ou

mamba install -c conda-forge pygwalker

Veja o conda-forge feedstock (opens in a new tab) para mais ajuda.

Desenvolvimento Local

git clone git@github.com:Kanaries/pygwalker.git
 
cd pygwalker
 

Construir aplicativo web:

# pygwalker/app
cd app
 
yarn install
 
yarn build

Instalar requisitos:

# pygwalker
 
pip install -e .

Executar Exemplos

Você pode criar um arquivo .ipynb no diretório raiz do projeto pygwalker e importar diretamente pygwalker para testar.

# pygwalker
 
jupyter-lab .

Ainda tem perguntas? Sinta-se à vontade para levantar uma issue em nosso github (opens in a new tab) ou discutir no canal do discord (opens in a new tab).